require 'fileutils'
require 'thread'
require 'tmpdir'
require 'zlib'
require 'opal'
require 'opal/compiler'
require 'opal/builder'
require 'oj'
require 'rack'
require 'listen'
require 'iodine'
require 'isomorfeus-speednode'
require 'isomorfeus/asset_manager/version'
require 'isomorfeus/asset_manager/js_import'
require 'isomorfeus/asset_manager/ruby_import'
require 'isomorfeus/asset_manager/asset'
require 'isomorfeus/asset_manager/portfolio'
require 'isomorfeus/asset_manager/rack_middleware'
require 'isomorfeus/asset_manager/server_socket_processor'
require 'isomorfeus/asset_manager'
require 'isomorfeus/asset_manager/config'
require 'isomorfeus/asset_manager/view_helper'
require 'iso_opal'

Isomorfeus.env = ENV['RACK_ENV']

Isomorfeus.node_paths << File.expand_path(File.join(File.dirname(__FILE__), '..', 'node_modules'))

Isomorfeus.root = File.expand_path('.')
Isomorfeus.app_root = File.expand_path('app')
Opal.append_path(Isomorfeus.app_root) unless IsoOpal.paths_include?(Isomorfeus.app_root)
